Subject: Re: bug#4110: 23.1.50; Checkdoc should recognize "minor mode"

From: Mauro Aranda <[email-masked]>
Date: Mon, 08 Mar 2021 09:04:19 -0300

Lennart Borgman <[email-masked]> writes:

> You can write "function `my-mode'" or "variable `my-mode'" in a doc
> string to make checkdoc happy. However I would like to write "minor
> mode  `my-mode'" instead since it is more clear. And I think the
> `my-mode' link should go to the function since that is wher the doc
> string from define-minor-mode shows up.

The change to allow this should be pretty simple: just add "mode" to the
list of suggested words.

But I do wonder if instead checkdoc should be happy just with the symbol
ending with "-mode".  IOW,  I tend to think that there is no ambiguity
in "`my-mode'" in a docstring, even if my-mode is defined as a variable
and as a function.

Any opinions?